package cc.smtweb.framework.core.db.vo;

import cc.smtweb.framework.core.annotation.SwTable;
import lombok.Data;

import java.io.Serializable;
import java.util.Map;

@Data
@SwTable(value = "ASP_MODEL_DATABASE")
public class ModelDatabase implements Serializable {
    private long id;
    //项目id
    private long prjId;
    // 库名
    private String name;
    //中文标题
    private String title;
    //状态：0-启用 1-停用
    private int status;
    //版本
    private int version;
    //创建者
    private Long createUid;
    //创建时间
    private Long createTime;
    //最后更新人
    private Long updateUid;
    //更新时间
    private Long updateTime;
}
