package cc.smtweb.framework.core.db.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * 项目
 */
@Data
public class ModelProject implements Serializable {
    private long id;
    // 项目名称
    private String name;
    //依赖项目
    private String depends;
    //状态：0-启用 1-停用
    private int status;
    //备注
    private String desc;
    //创建者
    private Long createUid;
    //创建时间
    private Long createTime;
    //最后更新人
    private Long updateUid;
    //更新时间
    private Long updateTime;
}
