package cc.smtweb.system.bpm.web.design.project;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by Akmm at 2022/3/1 15:35
 */
@SwTable("ASP_MODEL_PROJECT")
public class ModelProject extends DefaultEntity {
    public static final String ENTITY_NAME = "ASP_MODEL_PROJECT";

    public ModelProject() {
        super(ENTITY_NAME);
    }

    public long getPrjId() {
        return getLong("prj_id");
    }

    public void setPrjId(long prjId) {
        put("prj_id", prjId);
    }

    public String getPrjName() {
        return getStr("prj_name");
    }

    public void setPrjName(String prjName) {
        put("prj_name", prjName);
    }

    public String getPrjDepends() {
        return getStr("prj_depends");
    }

    public void setPrjDepends(String prjDepends) {
        put("prj_depends", prjDepends);
    }

    public String getPrjDesc() {
        return getStr("prj_desc");
    }

    public void setPrjDesc(String prjDesc) {
        put("prj_desc", prjDesc);
    }

    public int getPrjStatus() {
        return getInt("prj_status");
    }

    public void setPrjStatus(int prjStatus) {
        put("prj_status", prjStatus);
    }

    public long getPrjCreateUid() {
        return getLong("prj_create_uid");
    }

    public void setPrjCreateUid(long prjCreateUid) {
        put("prj_create_uid", prjCreateUid);
    }

    public long getPrjUpdateUid() {
        return getLong("prj_update_uid");
    }

    public void setPrjUpdateUid(long prjUpdateUid) {
        put("prj_update_uid", prjUpdateUid);
    }

    public long getPrjCreateAt() {
        return getLong("prj_create_at");
    }

    public void setPrjCreateAt(long prjCreateAt) {
        put("prj_create_at", prjCreateAt);
    }

    public long getPrjUpdateAt() {
        return getLong("prj_update_at");
    }

    public void setPrjUpdateAt(long prjUpdateAt) {
        put("prj_update_at", prjUpdateAt);
    }
}
