package cc.smtweb.system.bpm.web.design.project;

import cc.smtweb.framework.core.R;
import cc.smtweb.framework.core.SwMap;
import cc.smtweb.framework.core.annotation.SwBody;
import cc.smtweb.framework.core.annotation.SwParam;
import cc.smtweb.framework.core.annotation.SwService;
import cc.smtweb.framework.core.db.DbEngine;
import cc.smtweb.framework.core.db.EntityDao;
import cc.smtweb.framework.core.mvc.service.*;
import cc.smtweb.framework.core.session.UserSession;
import cc.smtweb.system.bpm.engine.entity.AspModelPO;

/**
 * Created by Akmm at 2022/3/1 17:00
 * 项目服务类
 */
@SwService
public class ModelProjectService extends AbstractCompService {
    @Override
    protected IHandler createHanlder(String type) {
        switch (type) {
            case TYPE_LOAD:
                return new DefaultLoadHandler<ModelProject>(ModelProject.ENTITY_NAME);
            case TYPE_SAVE:
                return new DefaultSaveHandler<>(ModelProject.ENTITY_NAME);
            case TYPE_DEL:
                return new DefaultDelHandler<>(ModelProject.ENTITY_NAME);
            case TYPE_LIST:
                return new DefaultListHandler<>(ModelProject.ENTITY_NAME);
        }
        return null;
    }


}
